GET TaskStatusTypeTaskType?taskStatusTypeTaskTypeId={taskStatusTypeTaskTypeId}&taskStatusTypeId={taskStatusTypeId}&taskTypeId={taskTypeId}

Retrieves a companies task status types to task types association. These are read-only.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
taskStatusTypeTaskTypeId

globally unique identifier

Required

taskStatusTypeId

globally unique identifier

Required

taskTypeId

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

On success, a list of task status types and task types associations

NameDescriptionTypeAdditional information
Data

Collection of TaskStatusTypeTaskType

None.

Total

integer

None.

Message

string

None.

Response Formats

application/json, text/json

Sample:
{
  "Data": [
    {
      "TaskStatusTypeTaskTypeId": "2e5c1194-92fb-4ee6-9422-2daad1b83b11",
      "CompanyId": "c515d85d-17fd-42ca-98f0-2cf4aa1e6aa5",
      "TaskStatusTypeId": "6341185e-46fe-4a3a-9317-c61f837fe5d7",
      "TaskStatusTypeName": "sample string 2",
      "SourceSystemId": "sample string 3",
      "TaskTypeId": "966834c7-6415-4619-8538-d54334b2c1fe",
      "TaskTypeName": "sample string 4",
      "Description": "sample string 5"
    },
    {
      "TaskStatusTypeTaskTypeId": "2e5c1194-92fb-4ee6-9422-2daad1b83b11",
      "CompanyId": "c515d85d-17fd-42ca-98f0-2cf4aa1e6aa5",
      "TaskStatusTypeId": "6341185e-46fe-4a3a-9317-c61f837fe5d7",
      "TaskStatusTypeName": "sample string 2",
      "SourceSystemId": "sample string 3",
      "TaskTypeId": "966834c7-6415-4619-8538-d54334b2c1fe",
      "TaskTypeName": "sample string 4",
      "Description": "sample string 5"
    }
  ],
  "Total": 1,
  "Message": "sample string 1"
}